- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# junos_banner – Manage multiline banners on Juniper JUNOS devices

New in version 2.4.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This will configure both login and motd banners on network devices. It allows playbooks to add or remote banner text from the active running configuration.

## Requirements

The below requirements are needed on the host that executes this module.

- ncclient (>=v0.5.2)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
active boolean | Choices: no yes ← | Specifies whether or not the configuration is active or deactivated
banner - / required | Choices: login motd | Specifies which banner that should be configured on the remote device. Value `login` indicates system login message prior to authenticating, `motd` is login announcement after successful authentication.
provider dictionary |  | Deprecated Starting with Ansible 2.5 we recommend using `connection: network_cli` or `connection: netconf`. For more information please see the Junos OS Platform Options guide. A dict object containing connection details.
| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device. The port value will default to the well known SSH port of 22 (for `transport=cli`) or port 830 (for `transport=netconf`) device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
state - | Choices: present ← absent | Specifies whether or not the configuration is present in the current devices active running configuration.
text - |  | The banner text that should be present in the remote device running configuration. This argument accepts a multiline string, with no empty lines. Requires state=present.

## Notes

Note

- This module requires the netconf system service be enabled on the remote device being managed.

- Tested against vSRX JUNOS version 15.1X49-D15.4, vqfx-10000 JUNOS Version 15.1X53-D60.4.

- Recommended connection is `netconf`. See the Junos OS Platform Options.

- This module also works with `local` connections for legacy playbooks.

- For information on using CLI and netconf see the Junos OS Platform Options guide

- For more information on using Ansible to manage network devices see the Ansible Network Guide

- For more information on using Ansible to manage Juniper network devices see https://www.ansible.com/ansible-juniper.

## Examples

    - name: configure the login banner
      junos_banner:
        banner: login
        text: |
          this is my login banner
          that contains a multiline
          string
        state: present

    - name: remove the motd banner
      junos_banner:
        banner: motd
        state: absent

    - name: deactivate the motd banner
      junos_banner:
        banner: motd
        state: present
        active: False

    - name: activate the motd banner
      junos_banner:
        banner: motd
        state: present
        active: True

    - name: Configure banner from file
      junos_banner:
        banner:  motd
        text: "{{ lookup('file', './config_partial/raw_banner.cfg') }}"
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
diff.prepared string | when configuration is changed and diff option is enabled. | Configuration difference before and after applying change. Sample: [edit system login] + message "this is my login banner";

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ganesh Nalawade (@ganeshrn)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.